# PluginVideoDecoder< NAME > Class Template Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginVideoDecoder< NAME >:

[legend]
Collaboration diagram for PluginVideoDecoder< NAME >:
[legend]

## Public Member Functions

| PluginVideoDecoder (const PluginCodec_Definition *defn)
virtual size_t | GetOutputDataSize ()
| Get the required output buffer size to be passed into Transcode.
virtual bool | CanOutputImage (unsigned width, unsigned height, PluginCodec_RTP &rtp, unsigned &flags)
virtual unsigned | OutputImage (unsigned char *planes[3], int raster[3], unsigned width, unsigned height, PluginCodec_RTP &rtp, unsigned &flags)

## Protected Attributes

size_t | m_outputSize

## Data Structures

struct | OutputImagePlaneInfo

### template<typename NAME>
class PluginVideoDecoder< NAME >

## Constructor & Destructor Documentation

template<typename NAME>

PluginVideoDecoder< NAME >::PluginVideoDecoder | ( | const PluginCodec_Definition * | defn | ) | `[inline]`

## Member Function Documentation

template<typename NAME>

virtual bool PluginVideoDecoder< NAME >::CanOutputImage | ( | unsigned | width,
|  | unsigned | height,
|  | PluginCodec_RTP & | rtp,
|  | unsigned & | flags |
| ) |  |  | `[inline, virtual]`

template<typename NAME>

virtual size_t PluginVideoDecoder< NAME >::GetOutputDataSize | ( |  | ) | `[inline, virtual]`

Get the required output buffer size to be passed into Transcode.

Reimplemented from PluginCodec< NAME >.

template<typename NAME>

virtual unsigned PluginVideoDecoder< NAME >::OutputImage | ( | unsigned char * | planes[3],
|  | int | raster[3],
|  | unsigned | width,
|  | unsigned | height,
|  | PluginCodec_RTP & | rtp,
|  | unsigned & | flags |
| ) |  |  | `[inline, virtual]`

## Field Documentation

template<typename NAME>

size_t PluginVideoDecoder< NAME >::m_outputSize `[protected]`

The documentation for this class was generated from the following file:

- opalplugin.hpp